List documents
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"category": "COMPANY_INFO",
"createdAt": "2024-03-20T10:35:00Z",
"fileName": "articles.pdf",
"fileSize": 245678,
"id": "fa6ac4d6-6a39-4112-a47d-5927817d798e",
"kybSessionId": "5ada78ed-288f-43b5-b98c-890369e04fe3",
"type": "MEMORANDUM_ARTICLES",
"updatedAt": "2024-03-20T10:35:00Z"
}
]{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}KYB sessions
List documents
List all documents in a KYB session
GET
/
api
/
v1
/
account
/
business-user
/
{uid}
/
kyb-sessions
/
{sessionId}
/
documents
List documents
Authorizations
API Key for accessing management endpoints
Query Parameters
Filter by type (MEMORANDUM_ARTICLES, BUSINESS_NUMBER, DIRECTORS_SHAREHOLDERS_REG, PROOF_OF_ADDRESS, FINANCIAL_STATEMENTS, LICENSES_PERMITS, OTHER)
Response
OK
Example:
"COMPANY_INFO"
Example:
"2024-03-20T10:35:00Z"
Example:
"articles.pdf"
Example:
245678
Example:
"fa6ac4d6-6a39-4112-a47d-5927817d798e"
Example:
"5ada78ed-288f-43b5-b98c-890369e04fe3"
Example:
"MEMORANDUM_ARTICLES"
Example:
"2024-03-20T10:35:00Z"
⌘I